Bug 1231953 - Review Request: querydsl3 - Type safe queries for Java
Summary: Review Request: querydsl3 - Type safe queries for Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1178162 1231951
TreeView+ depends on / blocked
 
Reported: 2015-06-15 17:00 UTC by gil cattaneo
Modified: 2015-06-30 00:08 UTC (History)
2 users (show)

Fixed In Version: querydsl3-3.6.4-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:08:49 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-15 17:00:30 UTC
Spec URL: https://gil.fedorapeople.org/querydsl3.spec
SRPM URL: https://gil.fedorapeople.org/querydsl3-3.6.4-1.fc20.src.rpm
Description:
Querydsl is a framework which enables the
construction of type-safe SQL-like queries
for multiple backends including JPA, JDO and
SQL in Java.

Instead of writing queries as inline strings
or externalizing them into XML files they
are constructed via a fluent API.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10062112

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-06-18 18:03:23 UTC
Linewrap %description at 72 chars.

"type safety" not "type-safety" according to wikipedia.

What is "apt", "jdo", "jpa"?

Looks good, I'm running fedora-review now.

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-06-18 18:17:02 UTC
Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/java/querydsl3
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

- License is wrong, should be ASLv2.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 524 files have unknown license. Detailed output of
     licensecheck in /var/tmp/1231953-querydsl3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[ ]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     querydsl3-apt , querydsl3-codegen , querydsl3-collections , querydsl3
     -hibernate-search , querydsl3-jdo , querydsl3-jpa , querydsl3-jpa-
     codegen , querydsl3-lucene3 , querydsl3-maven-plugin ,
     querydsl3-mongodb , querydsl3-root , querydsl3-scala ,
     querydsl3-spatial , querydsl3-sql , querydsl3-sql-codegen , querydsl3
     -sql-spring , querydsl3-javadoc
I guess that's OK, because an automatically generated dependency of the form
mvn(com.mysema.querydsl:querydsl-core) = 3.6.4
is present.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
Deps missing.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: querydsl3-3.6.4-1.fc23.noarch.rpm
          querydsl3-apt-3.6.4-1.fc23.noarch.rpm
          querydsl3-codegen-3.6.4-1.fc23.noarch.rpm
          querydsl3-collections-3.6.4-1.fc23.noarch.rpm
          querydsl3-hibernate-search-3.6.4-1.fc23.noarch.rpm
          querydsl3-jdo-3.6.4-1.fc23.noarch.rpm
          querydsl3-jpa-3.6.4-1.fc23.noarch.rpm
          querydsl3-jpa-codegen-3.6.4-1.fc23.noarch.rpm
          querydsl3-lucene3-3.6.4-1.fc23.noarch.rpm
          querydsl3-maven-plugin-3.6.4-1.fc23.noarch.rpm
          querydsl3-mongodb-3.6.4-1.fc23.noarch.rpm
          querydsl3-root-3.6.4-1.fc23.noarch.rpm
          querydsl3-scala-3.6.4-1.fc23.noarch.rpm
          querydsl3-spatial-3.6.4-1.fc23.noarch.rpm
          querydsl3-sql-3.6.4-1.fc23.noarch.rpm
          querydsl3-sql-codegen-3.6.4-1.fc23.noarch.rpm
          querydsl3-sql-spring-3.6.4-1.fc23.noarch.rpm
          querydsl3-javadoc-3.6.4-1.fc23.noarch.rpm
          querydsl3-3.6.4-1.fc23.src.rpm
querydsl3.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
querydsl3-apt.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-apt.noarch: W: no-documentation
querydsl3-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-codegen.noarch: W: no-documentation
querydsl3-collections.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-hibernate-search.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-hibernate-search.noarch: W: no-documentation
querydsl3-jdo.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-jpa.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-jpa-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-jpa-codegen.noarch: W: no-documentation
querydsl3-lucene3.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-lucene3.noarch: W: spelling-error %description -l en_US Lucene -> Luce
querydsl3-maven-plugin.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-maven-plugin.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3-maven-plugin.noarch: W: no-documentation
querydsl3-mongodb.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-root.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-root.noarch: W: no-documentation
querydsl3-scala.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-scala.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3-scala.noarch: W: no-documentation
querydsl3-spatial.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-spatial.noarch: W: no-documentation
querydsl3-sql.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql-codegen.noarch: W: no-documentation
querydsl3-sql-spring.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql-spring.noarch: W: no-documentation
querydsl3.src: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
19 packages and 0 specfiles checked; 0 errors, 33 warnings.

All false positives.

Rpmlint (installed packages)
----------------------------
querydsl3-maven-plugin.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-maven-plugin.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3-maven-plugin.noarch: W: no-documentation
querydsl3-sql-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql-codegen.noarch: W: no-documentation
querydsl3-sql-spring.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql-spring.noarch: W: no-documentation
querydsl3-jpa-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-jpa-codegen.noarch: W: no-documentation
querydsl3-hibernate-search.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-hibernate-search.noarch: W: no-documentation
querydsl3-scala.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-scala.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3-scala.noarch: W: no-documentation
querydsl3-codegen.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-codegen.noarch: W: no-documentation
querydsl3-apt.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-apt.noarch: W: no-documentation
querydsl3-lucene3.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-lucene3.noarch: W: spelling-error %description -l en_US Lucene -> Luce
querydsl3.noarch: W: spelling-error %description -l en_US Querydsl -> Query
querydsl3.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
querydsl3-jpa.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-jdo.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-root.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-root.noarch: W: no-documentation
querydsl3-spatial.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-spatial.noarch: W: no-documentation
querydsl3-mongodb.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-sql.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
querydsl3-collections.noarch: W: spelling-error Summary(en_US) Querydsl -> Query
18 packages and 0 specfiles checked; 0 errors, 31 warnings.

All false positives.

Requires
--------
querydsl3-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-sql-codegen)
    mvn(javax.jdo:jdo2-api)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-model)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.sonatype.plexus:plexus-build-api)

querydsl3-sql-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-codegen)
    mvn(com.mysema.querydsl:querydsl-spatial)
    mvn(com.mysema.querydsl:querydsl-sql)
    mvn(org.slf4j:slf4j-api)

querydsl3-sql-spring (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-sql)

querydsl3-jpa-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-codegen)
    mvn(com.mysema.querydsl:querydsl-jpa)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.slf4j:slf4j-api)

querydsl3-hibernate-search (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-lucene3)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)

querydsl3-scala (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-core)

querydsl3-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

querydsl3-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.codegen:codegen)
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(javax.inject:javax.inject)

querydsl3-apt (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-codegen)

querydsl3-lucene3 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-apt)
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(org.slf4j:slf4j-api)

querydsl3 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.guava:guava)
    mvn(com.infradna.tool:bridge-method-annotation)
    mvn(com.mysema.commons:mysema-commons-lang)

querydsl3-jpa (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(org.slf4j:slf4j-api)

querydsl3-jdo (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(javax.jdo:jdo-api)
    mvn(org.slf4j:slf4j-api)

querydsl3-root (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)
    mvn(org.apache.maven.plugins:maven-surefire-plugin)

querydsl3-spatial (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(org.geolatte:geolatte-geom)

querydsl3-mongodb (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(org.mongodb:mongo-java-driver)
    mvn(org.slf4j:slf4j-api)

querydsl3-sql (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.infradna.tool:bridge-method-annotation)
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(javax.inject:javax.inject)
    mvn(javax.validation:validation-api)
    mvn(joda-time:joda-time)
    mvn(org.slf4j:slf4j-api)

querydsl3-collections (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.querydsl:querydsl-apt)
    mvn(com.mysema.querydsl:querydsl-codegen)
    mvn(org.slf4j:slf4j-api)



Provides
--------
querydsl3-maven-plugin:
    mvn(com.mysema.querydsl:querydsl-maven-plugin)
    mvn(com.mysema.querydsl:querydsl-maven-plugin:pom:)
    querydsl3-maven-plugin

querydsl3-sql-codegen:
    mvn(com.mysema.querydsl:querydsl-sql-codegen)
    mvn(com.mysema.querydsl:querydsl-sql-codegen:pom:)
    osgi(com.mysema.querydsl.sql-codegen)
    querydsl3-sql-codegen

querydsl3-sql-spring:
    mvn(com.mysema.querydsl:querydsl-sql-spring)
    mvn(com.mysema.querydsl:querydsl-sql-spring:pom:)
    osgi(com.mysema.querydsl.sql-spring)
    querydsl3-sql-spring

querydsl3-jpa-codegen:
    mvn(com.mysema.querydsl:querydsl-jpa-codegen)
    mvn(com.mysema.querydsl:querydsl-jpa-codegen:pom:)
    osgi(com.mysema.querydsl.jpa-codegen)
    querydsl3-jpa-codegen

querydsl3-hibernate-search:
    mvn(com.mysema.querydsl:querydsl-hibernate-search)
    mvn(com.mysema.querydsl:querydsl-hibernate-search:pom:)
    osgi(com.mysema.querydsl.hibernate-search)
    querydsl3-hibernate-search

querydsl3-scala:
    mvn(com.mysema.querydsl:querydsl-scala)
    mvn(com.mysema.querydsl:querydsl-scala:pom:)
    querydsl3-scala

querydsl3-javadoc:
    querydsl3-javadoc

querydsl3-codegen:
    mvn(com.mysema.querydsl:querydsl-codegen)
    mvn(com.mysema.querydsl:querydsl-codegen:pom:)
    osgi(com.mysema.querydsl.codegen)
    querydsl3-codegen

querydsl3-apt:
    mvn(com.mysema.querydsl:querydsl-apt)
    mvn(com.mysema.querydsl:querydsl-apt:pom:)
    osgi(com.mysema.querydsl.apt)
    querydsl3-apt

querydsl3-lucene3:
    mvn(com.mysema.querydsl:querydsl-lucene3)
    mvn(com.mysema.querydsl:querydsl-lucene3:pom:)
    osgi(com.mysema.querydsl.lucene3)
    querydsl3-lucene3

querydsl3:
    mvn(com.mysema.querydsl:querydsl-core)
    mvn(com.mysema.querydsl:querydsl-core:pom:)
    osgi(com.mysema.querydsl.core)
    querydsl3

querydsl3-jpa:
    mvn(com.mysema.querydsl:querydsl-jpa)
    mvn(com.mysema.querydsl:querydsl-jpa::apt:)
    mvn(com.mysema.querydsl:querydsl-jpa:pom:)
    osgi(com.mysema.querydsl.jpa)
    querydsl3-jpa

querydsl3-jdo:
    mvn(com.mysema.querydsl:querydsl-jdo)
    mvn(com.mysema.querydsl:querydsl-jdo::apt:)
    mvn(com.mysema.querydsl:querydsl-jdo:pom:)
    osgi(com.mysema.querydsl.jdo)
    querydsl3-jdo

querydsl3-root:
    mvn(com.mysema.querydsl:querydsl-root:pom:)
    querydsl3-root

querydsl3-spatial:
    mvn(com.mysema.querydsl:querydsl-spatial)
    mvn(com.mysema.querydsl:querydsl-spatial:pom:)
    osgi(com.mysema.querydsl.spatial)
    querydsl3-spatial

querydsl3-mongodb:
    mvn(com.mysema.querydsl:querydsl-mongodb)
    mvn(com.mysema.querydsl:querydsl-mongodb:pom:)
    osgi(com.mysema.querydsl.mongodb)
    querydsl3-mongodb

querydsl3-sql:
    mvn(com.mysema.querydsl:querydsl-sql)
    mvn(com.mysema.querydsl:querydsl-sql:pom:)
    osgi(com.mysema.querydsl.sql)
    querydsl3-sql

querydsl3-collections:
    mvn(com.mysema.querydsl:querydsl-collections)
    mvn(com.mysema.querydsl:querydsl-collections:pom:)
    osgi(com.mysema.querydsl.collections)
    querydsl3-collections



Source checksums
----------------
https://github.com/querydsl/querydsl/archive/QUERYDSL_3_6_4.tar.gz :
  CHECKSUM(SHA256) this package     : 7f2b8809817d20250cf62497d09306fee4120e1d9be57badb9137c19b50297e6
  CHECKSUM(SHA256) upstream package : 7f2b8809817d20250cf62497d09306fee4120e1d9be57badb9137c19b50297e6


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1231953
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 gil cattaneo 2015-06-18 20:10:15 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Issues:
> =======
> - Package does not contain duplicates in %files.
>   Note: warning: File listed twice: /usr/share/java/querydsl3
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
 Fixed
> - License is wrong, should be ASLv2.
 Fixed

> [ ]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      querydsl3-apt , querydsl3-codegen , querydsl3-collections , querydsl3
>      -hibernate-search , querydsl3-jdo , querydsl3-jpa , querydsl3-jpa-
>      codegen , querydsl3-lucene3 , querydsl3-maven-plugin ,
>      querydsl3-mongodb , querydsl3-root , querydsl3-scala ,
>      querydsl3-spatial , querydsl3-sql , querydsl3-sql-codegen , querydsl3
>      -sql-spring , querydsl3-javadoc
> I guess that's OK, because an automatically generated dependency of the form
> mvn(com.mysema.querydsl:querydsl-core) = 3.6.4
> is present.

Is "ok" because this is a noarch package. it would not make sense to use this "signature".

(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Linewrap %description at 72 chars.
> 
> "type safety" not "type-safety" according to wikipedia.

is "type-safe" where is "type-safety" ?

> What is "apt"
Annotation Processing Tool http://docs.oracle.com/javase/7/docs/technotes/guides/apt/
"jdo",
Java Data Objects http://www.oracle.com/technetwork/java/index-jsp-135919.html
"jpa"?
Java Persistence API http://www.oracle.com/technetwork/java/javaee/tech/persistence-jsp-140049.html

> Looks good, I'm running fedora-review now.

Thanks!


Spec URL: https://gil.fedorapeople.org/querydsl3.spec
SRPM URL: https://gil.fedorapeople.org/querydsl3-3.6.4-2.fc20.src.rpm

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-06-18 20:18:26 UTC
(In reply to gil cattaneo from comment #3)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > Linewrap %description at 72 chars.
> > 
> > "type safety" not "type-safety" according to wikipedia.
> 
> is "type-safe" where is "type-safety" ?
Both "type safe" and "type safety" should be spelled like that, without the dash.
 
> > What is "apt"
> Annotation Processing Tool
> http://docs.oracle.com/javase/7/docs/technotes/guides/apt/
> "jdo",
> Java Data Objects
> http://www.oracle.com/technetwork/java/index-jsp-135919.html
> "jpa"?
> Java Persistence API
> http://www.oracle.com/technetwork/java/javaee/tech/persistence-jsp-140049.
> html
Right. I think you should expand those abbreviations in Summary or %description for those packages.

Comment 5 gil cattaneo 2015-06-18 20:30:17 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> (In reply to gil cattaneo from comment #3)
> > (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > > Linewrap %description at 72 chars.
> > > 
> > > "type safety" not "type-safety" according to wikipedia.
> > 
> > is "type-safe" where is "type-safety" ?
> Both "type safe" and "type safety" should be spelled like that, without the
> dash.
>  
> > > What is "apt"
> > Annotation Processing Tool
> > http://docs.oracle.com/javase/7/docs/technotes/guides/apt/
> > "jdo",
> > Java Data Objects
> > http://www.oracle.com/technetwork/java/index-jsp-135919.html
> > "jpa"?
> > Java Persistence API
> > http://www.oracle.com/technetwork/java/javaee/tech/persistence-jsp-140049.
> > html
> Right. I think you should expand those abbreviations in Summary or
> %description for those packages.

Done

Spec URL: https://gil.fedorapeople.org/querydsl3.spec
SRPM URL: https://gil.fedorapeople.org/querydsl3-3.6.4-3.fc20.src.rpm

- fix packages description

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-06-18 20:46:35 UTC
Hm, I still see "JDO" and "JPA" in the package descriptions... I thought you would expand them.

Anyway, that's cosmetic. Package is APPROVED.

Comment 7 gil cattaneo 2015-06-18 21:05:48 UTC
Thanks!

New Package SCM Request
=======================
Package Name: querydsl3
Short Description: http://www.querydsl.com
Upstream URL: Type safe queries for Java
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2015-06-19 12:28:52 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-06-19 14:25:31 UTC
querydsl3-3.6.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/querydsl3-3.6.4-3.fc22

Comment 10 Fedora Update System 2015-06-21 00:04:47 UTC
querydsl3-3.6.4-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-06-30 00:08:49 UTC
querydsl3-3.6.4-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.